<template>
  <div class="cloud-spec container">
    <h2 class="base-title">{{ $t('title') }}</h2>
    <div class="cloud-spec__list">
      <client-only>
        <Flickity
          id="specifications-carousel"
          ref="flickity"
          :options="flickityOptions"
        >
          <specification-item v-for='(item, index) in $t("specificationItems")' :key='index' :content='item' class='cloud-spec__item' />
        </Flickity>
      </client-only>
    </div>
  </div>
</template>

<i18n>
{
  "en": {
    "title": "Specifications",
    "specificationItems":[
      {
        "title":"High performance",
        "text":"Say goodbye to failed trades, system overload, and high slippage. Even during peak trading hours, TBCC Cloud's advanced trading engines provide high throughput and quick execution.",
        "img":"performance.svg"
      },
      {
        "title":"User benefits",
        "text":"We will help you provide profitable offers for users that they can't just ignore, such as high liquidity, credit facilities for the formation of leverage, referral program, and others.",
        "img":"user-benefits.svg"
      },
      {
        "title":"Advanced functionality",
        "text":"Users will appreciate the user-friendly interface of the exchange, combined with high functionality and effective tools for trading and boosting income. Exchange maintains a wide range of major cryptocurrencies: BTC, LTC, BCH, ETH + ERC20 Tokens, BIP + Tokens, WAVES + Tokens, and also implemented the functionality of margin trading",
        "img":"swap-or-trade.svg"
      },
      {
        "title":"User Security",
        "text":"Provided by the implementation of two-factor identification (Google 2FA) and a one-time password system for withdrawal of funds.",
        "img":"security.png"
      }
    ]
  },
  "ch": {
    "title": "规格",
    "specificationItems":[
      {
        "title":"高效能",
        "text":"告别交易失败、系统过载和高滑点。即使在交易高峰期，TBCC云的先进交易引擎也能提供高吞吐量和快速执行",
        "img":"performance.svg"
      },
      {
        "title":"用户受益",
        "text":"我们将帮助您为用户提供有利可图的优惠，让他们不能随便忽视，如高流动性，形成杠杆的信贷设施，推荐计划，以及其他",
        "img":"user-benefits.svg"
      },
      {
        "title":"高级功能",
        "text":"用户将欣赏交易所的用户友好界面，结合高功能和有效的交易和提高收入的工具 交易所保持着广泛的主要加密货币。BTC、LTC、BCH、ETH+ERC20代币、BIP+代币、WAVES+代币，并且还实现了保证金交易的功能",
        "img":"swap-or-trade.svg"
      },
      {
        "title":"用户安全",
        "text":"通过实施双因素识别（谷歌2FA）和提取资金的一次性密码系统来提供",
        "img":"security.png"
      }
    ]
  },
  "tur": {
    "title": "Specifications",
    "specificationItems":[
      {
        "title":"High performance",
        "text":"Say goodbye to failed trades, system overload, and high slippage. Even during peak trading hours, TBCC Cloud's advanced trading engines provide high throughput and quick execution.",
        "img":"performance.svg"
      },
      {
        "title":"User benefits",
        "text":"We will help you provide profitable offers for users that they can't just ignore, such as high liquidity, credit facilities for the formation of leverage, referral program, and others.",
        "img":"user-benefits.svg"
      },
      {
        "title":"Advanced functionality",
        "text":"Users will appreciate the user-friendly interface of the exchange, combined with high functionality and effective tools for trading and boosting income. Exchange maintains a wide range of major cryptocurrencies: BTC, LTC, BCH, ETH + ERC20 Tokens, BIP + Tokens, WAVES + Tokens, and also implemented the functionality of margin trading",
        "img":"swap-or-trade.svg"
      },
      {
        "title":"User Security",
        "text":"Provided by the implementation of two-factor identification (Google 2FA) and a one-time password system for withdrawal of funds.",
        "img":"security.png"
      }
    ]
  }
}
</i18n>


<script>
import SpecificationItem from './SpecificationItem'
export default {
  components: { SpecificationItem },
  data() {
    return {
      flickityOptions: {
        pageDots: true,
        wrapAround: false,
        prevNextButtons: false,
        adaptiveHeight: true,
        lazyLoad: true
      },
    }
  },
}
</script>

<style lang="scss" scoped>
.base-title {
  margin: 0 0 57px;
  font-size: 36px;

  @media (max-width: 767px) {
    max-width: 324px;
    text-align: center;
  }

  @media (min-width: 1024px) {
    font-size: 45px;
  }

  @media (min-width: 1200px) {
    font-size: 48px;
  }
}

.cloud-spec {
  display: flex;
  flex-direction: column;
  align-items: center;


  &__list {
    width: 100%;

    @media (max-width: 767px) {
      max-width: 360px;
    }
  }

  &__item {
    margin-right: 20px;
    width: calc(100% - 20px);
  }
}
</style>

<style>
.flickity-viewport {
  transition: height 0.2s;
}
</style>
